## org.jfree.chart
Class PaintMap

    java.lang.Object
      org.jfree.chart.PaintMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class PaintMap

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

A storage structure that maps `Comparable` instances with `Paint` instances.
To support cloning and serialization, you should only use keys that are cloneable and serializable. Special handling for the `Paint` instances is included in this class.

Since:
  1.0.3
See Also:
  Serialized Form

Constructor Summary
`PaintMap()` Creates a new (empty) map.

Method Summary
`void` `clear()` Resets the map to empty.
`java.lang.Object` `clone()` Returns a clone of this `PaintMap`.
`boolean` `containsKey(java.lang.Comparable key)` Returns `true` if the map contains the specified key, and `false` otherwise.
`boolean` `equals(java.lang.Object obj)` Tests this map for equality with an arbitrary object.
`java.awt.Paint` `getPaint(java.lang.Comparable key)` Returns the paint associated with the specified key, or `null`.
`void` `put(java.lang.Comparable key, java.awt.Paint paint)` Adds a mapping between the specified `key` and `paint` values.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaintMap

    public PaintMap()

  Creates a new (empty) map.

Method Detail

### getPaint

    public java.awt.Paint getPaint(java.lang.Comparable key)

  Returns the paint associated with the specified key, or `null`.

  Parameters:
    `key` - the key (`null` not permitted).
  Returns:
    The paint, or `null`.
  Throws:
    `java.lang.IllegalArgumentException` - if `key` is `null`.

### containsKey

    public boolean containsKey(java.lang.Comparable key)

  Returns `true` if the map contains the specified key, and `false` otherwise.

  Parameters:
    `key` - the key.
  Returns:
    `true` if the map contains the specified key, and `false` otherwise.

### put

    public void put(java.lang.Comparable key,
                    java.awt.Paint paint)

  Adds a mapping between the specified `key` and `paint` values.

  Parameters:
    `key` - the key (`null` not permitted).
    `paint` - the paint.
  Throws:
    `java.lang.IllegalArgumentException` - if `key` is `null`.

### clear

    public void clear()

  Resets the map to empty.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this map for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this `PaintMap`.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone of this instance.
  Throws:
    `java.lang.CloneNotSupportedException` - if any key is not cloneable.